ProyectoCrm/src/app/Modales/detalles-venta/fw-modal-detalles-venta/fw-modal-detalles-venta.component.pug
- var ListadoCabecera = ["Codigo","Forma pago", "Monto", "Estatus", "Referencia","Tasa","Observacion"]

div.modal-header
    h4.modal-title {{ tTituloModal }}
    button(type="button", aria-label="Close", (click)="activeModal.dismiss('N')").close
        span(aria-hidden="true") &times;

div.modal-body
    div.container-fluid
        div.form-row
            div.form-group.col-6
                h5.font-weight-bold.mr-4 [ {{ tVentaModal.Codventa }} ] - {{ tVentaModal.Tipo }}
                    span.badge.badge-info.ml-4 {{ tVentaModal.Estatus }}
        div.form-row
            div.form-group.col-6
                label.form-label.h6 Cliente
                div.ControlInput
                    div.ControlInput--ContenedorIcono
                        span.ControlInput--ContenedorIcono-Icono
                            i.fas.fa-user
                    label(size-label="sm").ControlInput--Label [ {{ tVentaModal.Codcliente }} ] - {{ tVentaModal.Descripcion }}  
            div.form-group.col-6
                label.form-label.h6 Documento
                div.ControlInput
                    div.ControlInput--ContenedorIcono
                        span.ControlInput--ContenedorIcono-Icono
                            i.fas.fa-passport
                    label(size-label="sm").ControlInput--Label  {{ tVentaModal.Documento }}  
        div.form-row
            div.form-group.col-12
                ul(role="tablist").nav.nav-tabs#divOpciones
                    li.nav-item
                        a(data-toggle="tab", href="#Pagos", role="tab", aria-controls="Pagos", aria-selected="true").nav-link.active#Pagos-tab Pagos                 
        div.form-row
            div.form-group.col-12
                div.tab-content#mvDatos
                    div(role="tabpanel", aria-labelledby="Pagos-tab").tab-pane.fade.show.active#Pagos
                        div.form-row
                            div.form-group.col-12
                                div.table-responsive
                                    table.table.table-sm.table-striped.table-hover
                                        thead
                                            tr
                                                th
                                                each Cabecera in ListadoCabecera || []
                                                    th
                                                        h6.font-weight-bold=Cabecera
                                        tbody
                                            tr(*ngFor="let tFormaPago of tVFormapagos | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
                                                th

                                                    button(type="button",
                                                            title="Ver",
                                                            (click)="AbrirReporte(tFormaPago)").btn.btn-sm.btn-primary.mr-1
                                                        i.fas.fa-eye

                                                    button(type="button",
                                                            title="Rechazar",
                                                            *ngIf="tFormaPago.Estatus == 'PENDIENTE' &&  (tVentaModal.Estatus == 'ACTIVO' || tVentaModal.Estatus == 'PENDIENTE')" , 
                                                            (click)="RechazarFormaPago(tFormaPago)").btn.btn-sm.btn-danger.mr-1
                                                        i.fas.fa-times

                                                    button(type="button", 
                                                            title="Aprobar",
                                                             *ngIf="tFormaPago.Estatus == 'PENDIENTE' &&  (tVentaModal.Estatus == 'ACTIVO' || tVentaModal.Estatus == 'PENDIENTE')", 
                                                            (click)="AprobarFormaPago(tFormaPago)").btn.btn-sm.btn-success.mr-1
                                                        i.fas.fa-check    
                                                td
                                                    h6 {{ tFormaPago.Codformapago }}
                                                td
                                                    h6 {{ tFormaPago.Descripcion }}
                                                td
                                                    h6 {{ tFormaPago.Monto | currency : tEmpresaActual.Simbolo }}
                                                td
                                                    h6 {{ tFormaPago.Estatus }}
                                                td
                                                    h6 {{ tFormaPago.FormaPagoReferencia.Referencia }} 
                                                td
                                                    h6 {{ tFormaPago.FormaPagoTasa.Monto | currency : tEmpresaActual.Simbolo }}       
                                                td
                                                    h6 {{ tFormaPago.Observacion }}
                                            
                        div.form-row
                            div.form-group.col-12
                                ngb-pagination([collectionSize]="tVFormapagos.length", 
                                                        [(page)]="tPagina", 
                                                        aria-label="Default pagination",
                                                        [pageSize]="tTamanoPag").d-flex.justify-content-center

        div.form-row.d-flex.justify-content-end
            //- div.form-group.col-12.col-lg-3
            //-     div.card.border-left-primary.shadow-sm.h-100
            //-         div.card-body
            //-             div.row.no-gutters.align-items-center
            //-                 div.col.mr-2
            //-                     div.font-weight-bold.text-primary.mb-1 Cantidad
            //-                     div.h6.mb-0.text-gray-800 {{ tVFormapagos.length| number:'1.0-0' }}
            //-                 div.col-auto
            //-                     div.fas.fa-calculator.fa-2x.text-gray-300
            div.form-group.col-12.col-lg-3.offset-lg-6
                div.card.border-left-danger.shadow-sm.h-100
                    div.card-body
                        div.row.no-gutters.align-items-center
                            div.col.mr-2
                                div.font-weight-bold.text-danger.mb-1 Total pagado
                                div.h6.mb-0.text-gray-800 {{ tVentaModal.Pagado | currency : tEmpresaActual.Simbolo }}
                            div.col-auto
                                div.fas.fa-coins.fa-2x.text-gray-300
            div.form-group.col-12.col-lg-3
                div.card.border-left-success.shadow-sm.h-100
                    div.card-body
                        div.row.no-gutters.align-items-center
                            div.col.mr-2
                                div.font-weight-bold.text-success.mb-1 Total venta
                                div.h6.mb-0.text-gray-800 {{ tVentaModal.Total | currency : tEmpresaActual.Simbolo }}
                            div.col-auto
                                div.fas.fa-coins.fa-2x.text-gray-300                                                 
div.modal-footer
    button(type="button", (click)="activeModal.close('N')").btn.btn-secondary.mr-2.ml-2 Cerrar 

ProyectoCrm/src/app/Modales/detalles-venta/fw-modal-detalles-venta/fw-modal-detalles-venta.component.html

<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss('N')"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="container-fluid">
    <div class="form-row">
      <div class="form-group col-6">
        <h5 class="font-weight-bold mr-4">[ {{ tVentaModal.Codventa }} ] - {{ tVentaModal.Tipo }}<span class="badge badge-info ml-4">{{ tVentaModal.Estatus }}</span></h5>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-6">
        <label class="form-label h6">Cliente</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-user"></i></span></div>
          <label class="ControlInput--Label" size-label="sm">[ {{ tVentaModal.Codcliente }} ] - {{ tVentaModal.Descripcion }}  </label>
        </div>
      </div>
      <div class="form-group col-6">
        <label class="form-label h6">Documento</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-passport"></i></span></div>
          <label class="ControlInput--Label" size-label="sm"> {{ tVentaModal.Documento }}  </label>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <ul class="nav nav-tabs" role="tablist" id="divOpciones">
          <li class="nav-item"><a class="nav-link active" data-toggle="tab" href="#Pagos" role="tab" aria-controls="Pagos" aria-selected="true" id="Pagos-tab">Pagos                 </a></li>
        </ul>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <div class="tab-content" id="mvDatos">
          <div class="tab-pane fade show active" role="tabpanel" aria-labelledby="Pagos-tab" id="Pagos">
            <div class="form-row">
              <div class="form-group col-12">
                <div class="table-responsive">
                  <table class="table table-sm table-striped table-hover">
                    <thead>
                      <tr>
                        <th></th>
                        <th>
                          <h6 class="font-weight-bold">Codigo</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Forma pago</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Monto</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Estatus</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Referencia</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Tasa</h6>
                        </th>
                        <th>
                          <h6 class="font-weight-bold">Observacion</h6>
                        </th>
                      </tr>
                    </thead>
                    <tbody>
                      <tr *ngFor="let tFormaPago of tVFormapagos | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index">
                        <th>
                          <button class="btn btn-sm btn-primary mr-1" type="button" title="Ver" (click)="AbrirReporte(tFormaPago)"><i class="fas fa-eye"></i></button>
                          <button class="btn btn-sm btn-danger mr-1" type="button" title="Rechazar" *ngIf="tFormaPago.Estatus == 'PENDIENTE' &amp;&amp;  (tVentaModal.Estatus == 'ACTIVO' || tVentaModal.Estatus == 'PENDIENTE')" (click)="RechazarFormaPago(tFormaPago)"><i class="fas fa-times"></i></button>
                          <button class="btn btn-sm btn-success mr-1" type="button" title="Aprobar" *ngIf="tFormaPago.Estatus == 'PENDIENTE' &amp;&amp;  (tVentaModal.Estatus == 'ACTIVO' || tVentaModal.Estatus == 'PENDIENTE')" (click)="AprobarFormaPago(tFormaPago)"><i class="fas fa-check">   </i></button>
                        </th>
                        <td>
                          <h6>{{ tFormaPago.Codformapago }}</h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.Descripcion }}</h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.Monto | currency : tEmpresaActual.Simbolo }}</h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.Estatus }}</h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.FormaPagoReferencia.Referencia }} </h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.FormaPagoTasa.Monto | currency : tEmpresaActual.Simbolo }}       </h6>
                        </td>
                        <td>
                          <h6>{{ tFormaPago.Observacion }}</h6>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <ngb-pagination class="d-flex justify-content-center" [collectionSize]="tVFormapagos.length" [(page)]="tPagina" aria-label="Default pagination" [pageSize]="tTamanoPag"></ngb-pagination>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row d-flex justify-content-end">
      <div class="form-group col-12 col-lg-3 offset-lg-6">
        <div class="card border-left-danger shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="font-weight-bold text-danger mb-1">Total pagado</div>
                <div class="h6 mb-0 text-gray-800">{{ tVentaModal.Pagado | currency : tEmpresaActual.Simbolo }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-coins fa-2x text-gray-300"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="form-group col-12 col-lg-3">
        <div class="card border-left-success shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="font-weight-bold text-success mb-1">Total venta</div>
                <div class="h6 mb-0 text-gray-800">{{ tVentaModal.Total | currency : tEmpresaActual.Simbolo }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-coins fa-2x text-gray-300">                                                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-secondary mr-2 ml-2" type="button" (click)="activeModal.close('N')">Cerrar </button>
</div>
